<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h3><strong>Manage vehicle sub categories</strong></h3>
                    <div class="fm-row">
                        <div class="row">
                            <div class="col-sm-3">
                                <input [(ngModel)] ="sub_category" name ="sub_category" autocomplete="off"  type="text"  #item class="form-control input-sm-3" placeholder="Search For Sub Category"/>
                                
                            </div>

                            <div class="col-sm-3">
                                <input matInput placeholder="Select category" class="form-control custom-class-border"  name="category_id" (ngModelChange)="searchByCategoryName($event)" [(ngModel)] ="category_id" aria-label="Category" [matAutocomplete]="categories" >
                                <mat-autocomplete #categories="matAutocomplete" [displayWith]="displayFnCategories">
                                    <mat-option *ngFor="let Categories of Data" [value]="Categories">
                                        {{ Categories.category }}      
                                    </mat-option>
                                </mat-autocomplete>
                            </div>                        
                        </div>
                    </div>

                    <div class="fm-row">
                        <div class="row">
                            <div class="col-sm-12 text-right">
                                <button type="get" (click)="searchRecords()" class="btn btn-sm btn-primary blue "><i aria-hidden="true" class="fa fa-search" ></i> Search</button> 
                                <button class="btn btn-sm btn-primary green" (click)="refresh()"><i aria-hidden="true" class="fa fa-refresh" ></i> Refresh</button> 
                                <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser" ></i> Reset filters</button>
                                <ng-container *ngIf="aclAdd">
                                    <button type="submit" class="btn btn-primary btn-sm blue"  [routerLink]="['/admin/administration/vehicle-sub-categories/add']">Add new record</button> 
                                </ng-container>
                            </div>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table aria-describedby="Manage vehicle sub categories" class="table table-striped table-bordered table-responsive">
                                <thead>
                                <tr>
                                  <th scope="col">Image</th> 
                                  <th scope="col" (click)="sort('sub_category')">Sub category
                                        <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='sub_category' }"></i>
                                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='sub_category' }"></i>
                                        </span>
                                 </th> 
                                  <th scope="col" (click)="sort('category_id')">Category
                                        <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='category_id' }"></i>
                                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='category_id' }"></i>
                                        </span>
                                 </th>
								 <th scope="col" (click)="sort('persons')">No of Persons
                                        <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='persons' }"></i>
                                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='persons' }"></i>
                                        </span>
                                 </th> 
								 <th scope="col" (click)="sort('rate')">Rate per KM (AED)
                                        <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='rate' }"></i>
                                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='rate' }"></i>
                                        </span>
                                 </th>
                                  <th scope="col" (click)="sort('updated_at')">Date
                                    <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                    </span>
                                  </th> 
                                 
                                <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <span *ngIf="searchLoader">
                                        <img src="assets/img/loader.gif" class="loader-img" alt="loader"/>
                                    </span>
                                <tr *ngFor="let categories of categoryDatas">
                                    <td>  <img  class="vehicle-img" [src]= "categories.image ? imageUrl + '/uploads/vehiclemodels/' + categories.image: '../../assets/img/vehicle.jpeg'" alt="my DTC"></td>
                                    <td>{{categories.sub_category}} </td>
                                    <td>{{categories.category_id  ? categories.category_id.category  :'N/A'}} </td>
									<td>{{categories.persons  ? categories.persons  :'N/A'}} </td>
									<td>{{categories.rate ? categories.rate  :'N/A'}} </td>
                                    <td>{{categories.updated_at | date}}</td>
                                    <td *ngIf="aclEdit || aclDelete">
                                        <span *ngIf="aclEdit" matTooltip="Edit">
                                            <a [routerLink] = "['/admin/administration/vehicle-sub-categories/edit', categories._id]" ><i aria-hidden="true" class="fa fa-edit text-navy"  ></i></a>&nbsp;&nbsp;&nbsp;
                                        </span>
                                        <span *ngIf="aclDelete" matTooltip="Delete">
                                            <a (click)="openDialog(categories._id)"  ><i aria-hidden="true" class="fa fa-trash text-navy"  ></i> </a>
                                        </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <br>

                        <div class="container-fluid" *ngIf="categoryLength>0">
                            <div class="row">
                                <div class="cols-md-12 text-center dataTables_info1"> 
                                        <ngb-pagination [collectionSize]="categoryLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                        aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                </div>
                            </div>
                        </div>
                            <div class="container-fluid" *ngIf="categoryLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
